From d0799ddefafb3e884cad0388783aa5e6956f7ded Mon Sep 17 00:00:00 2001
From: Frederic Cambus <fred@statdns.com>
Date: Tue, 8 Mar 2016 22:43:03 +0100
Subject: [PATCH] Adding quotes to prevent word splitting, this fixes test
 failures with pdksh

---
 tests.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests.sh b/tests.sh
index 88eb19c..5f51d07 100755
--- a/tests.sh
+++ b/tests.sh
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-[ $(./jo -a jo) = '["jo"]' ]	||
+[ "$(./jo -a jo)" = '["jo"]' ] ||
 	{ echo "Test 1: Jo logo failed" >&2; exit 1; }
-[ $(./jo n=7 a=Hello) = '{"n":7,"a":"Hello"}' ] ||
+[ "$(./jo n=7 a=Hello)" = '{"n":7,"a":"Hello"}' ] ||
 	{ echo "Test 2: Object failed" >&2; exit 2; }
